Loading...
Searching...
No Matches
RDKit::v2::FileParsers::MolFromSCSRParams Struct Reference

`#include <FileParsers.h>`

## Public Attributes

bool | includeLeavingGroups
SCSRTemplateNames | scsrTemplateNames = SCSRTemplateNames::AsEntered
SCSRBaseHbondOptions | scsrBaseHbondOptions = SCSRBaseHbondOptions::UseSapAll

## Detailed Description

Definition at line 79 of file FileParsers.h.

## Member Data Documentation

## includeLeavingGroups

bool RDKit::v2::FileParsers::MolFromSCSRParams::includeLeavingGroups

Initial value:
=
true

when true, leaving groups on atoms that are not exo-bonded are retained. When false, no leaving groups are retained

Definition at line 80 of file FileParsers.h.

## scsrBaseHbondOptions

SCSRBaseHbondOptions RDKit::v2::FileParsers::MolFromSCSRParams::scsrBaseHbondOptions = SCSRBaseHbondOptions::UseSapAll

Definition at line 85 of file FileParsers.h.

## scsrTemplateNames

SCSRTemplateNames RDKit::v2::FileParsers::MolFromSCSRParams::scsrTemplateNames = SCSRTemplateNames::AsEntered

Definition at line 83 of file FileParsers.h.

The documentation for this struct was generated from the following file:

- FileParsers.h